Subject: bug#72692: Emacs 31.05 (40eecd594ac) get SIGSEGV on Linux (Linux 6.6.45 Kde Wayland)

From: Po Lu <[email-masked]>
Date: Thu, 29 Aug 2024 20:06:17 +0800

Eli Zaretskii <[email-masked]> writes:

> Po Lu, is there any reason why frame-parameter handlers for GUI frames
> should ignore the fact that the new value of a parameter is exactly
> equal to the old value?  Is there some subtle issue here, and if so,
> does it affect all the parameters or only some?

No reason occurs to me why redundant changes shouldn't be discarded in
the case of alpha-background, but modifications to other parameters
(e.g. Qfullscreen) always trigger recomputation of various window
manager properties and states, which is not redundant when these
properties change without Emacs's knowledge.